# Generated by Django 4.2.9 on 2024-01-24 22:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('hunts', '0033_alter_unlock_options_unlock_order'),
    ]

    operations = [
        migrations.CreateModel(
            name='TeamHint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unlocked_at', models.DateTimeField()),
                ('accepted_at', models.DateTimeField(blank=True, null=True)),
                ('hint', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='teamhints', to='hunts.hint')),
                ('obsoleted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='obsoletes_teamhints', to='hunts.teamunlock')),
                ('started_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='starts_teamhints', to='hunts.teamunlock')),
                ('team_puzzle_progress', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hunts.teampuzzleprogress')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='teampuzzleprogress',
            name='hints',
            field=models.ManyToManyField(blank=True, through='hunts.TeamHint', to='hunts.hint'),
        ),
        migrations.RemoveField(
            model_name='teampuzzleprogress',
            name='accepted_hints',
        ),
        migrations.AlterField(
            model_name='hint',
            name='start_after',
            field=models.ForeignKey(blank=True, help_text='If you select an unlock here, the time will start counting from when that is unlocked.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dependent_hints', to='hunts.unlock', verbose_name='Start after Unlock'),
        ),
        migrations.DeleteModel(
            name='HintAcceptance',
        ),
    ]
